# Trivial shell script to split all /pos data from PS system logs
# into files by given zone names passed as arguments.
# Reverts xyz to xzy for a right handed coordinate system.

# example usage: sh extract.named.zone.sh guildlaw bdroad2


#find the latest log that has been written to
log=`sh find.log.sh`

for zone in $*
do
   echo looking for $zone in $log
   # create all zone files to plot with gnuplot using an awk one liner
   grep $zone $log | awk '/current position/ {print $7 " " $9 " " $8 > $6 } '  
done
