# Trivial shell script to plot /pos data from PS

#find the latest log that has been written to
log=`sh find.log.sh`

# find the latest /pos line from that log
# extract the position to a file
# generate a gnuplot command to plot that position and the matching zone
# use the pm3d style with a 3d grid, suitable for "randomly" picked zone data
awk '/current position/ {pos=$7 " " $9 " " $8+1;
    line="splot \"" $6 "\" w pm3d, \"position\" w p"}
    END {print pos>"position"; print line}'   $log 

